## ros-indigo-pointgrey-camera-driver 0.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pointgrey_camera_driver)

find_package(catkin REQUIRED COMPONENTS
  roscpp roslint nodelet sensor_msgs wfov_camera_msgs
  image_exposure_msgs camera_info_manager image_transport
  dynamic_reconfigure diagnostic_updater)

generate_dynamic_reconfigure_options(
  cfg/PointGrey.cfg
)

catkin_package(
  CATKIN_DEPENDS roscpp nodelet
)

# If the user has manually installed flycapture, use the system path version. If not,
# download it. We can't resolve this dependency using the usual rosdep means because
# the Point Grey EULA prohibits redistributing the headers or the packages which
# contains them. Fortunately, we can download the archive directly from their 
# website during this build process.
find_library(POINTGREY_LIB flycapture)
if(NOT POINTGREY_LIB)
  message(STATUS "libflycapture not found in system library path")
  include(cmake/DownloadFlyCap.cmake)
  download_flycap(POINTGREY_LIB POINTGREY_INCLUDE_DIR) 
  message(STATUS "libflycapture library: ${POINTGREY_LIB}")
  message(STATUS "libflycapture include: ${POINTGREY_INCLUDE_DIR}")
  include_directories(${POINTGREY_INCLUDE_DIR})  
endif()

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(PointGreyCamera src/PointGreyCamera.cpp)
target_link_libraries(PointGreyCamera ${POINTGREY_LIB} ${catkin_LIBRARIES})
add_dependencies(PointGreyCamera ${PROJECT_NAME}_gencfg) 

add_library(PointGreyCameraNodelet src/nodelet.cpp)
target_link_libraries(PointGreyCameraNodelet PointGreyCamera ${catkin_LIBRARIES})

add_library(PointGreyStereoCameraNodelet src/stereo_nodelet.cpp)
target_link_libraries(PointGreyStereoCameraNodelet PointGreyCamera ${catkin_LIBRARIES})

add_executable(pointgrey_camera_node src/node.cpp)
target_link_libraries(pointgrey_camera_node PointGreyCamera ${catkin_LIBRARIES})
set_target_properties(pointgrey_camera_node
                      PROPERTIES OUTPUT_NAME camera_node PREFIX "")

add_executable(pointgrey_stereo_node src/stereo_node.cpp)
target_link_libraries(pointgrey_stereo_node PointGreyCamera ${catkin_LIBRARIES})
set_target_properties(pointgrey_stereo_node
                      PROPERTIES OUTPUT_NAME stereo_node PREFIX "")

add_executable(pointgrey_list_cameras src/list_cameras.cpp)
target_link_libraries(pointgrey_list_cameras PointGreyCamera ${catkin_LIBRARIES})
set_target_properties(pointgrey_list_cameras
                      PROPERTIES OUTPUT_NAME list_cameras PREFIX "")
 
install(TARGETS 
  PointGreyCamera
  PointGreyCameraNodelet
  PointGreyStereoCameraNodelet
  pointgrey_camera_node
  pointgrey_stereo_node
  pointgrey_list_cameras 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Redistributing the flycapture .so file is permitted by the SDK EULA:
# http://www.ptgrey.com/support/kb/data/PGR-FlyCap-SDK-LA.pdf
install(FILES ${POINTGREY_LIB} DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES nodelet_plugins.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

roslint_cpp()

=== debian/changelog ===
ros-indigo-pointgrey-camera-driver (0.12.2-0trusty) trusty; urgency=high

  * Reconnect on error (#79 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/79>)
  * Update to FlyCapture v2.9.3.43 (#65 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/65>)
  * Contributors: Anass Al, Enrique Fernández Perdomo, Konrad Banachowicz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.12.1-0trusty) trusty; urgency=high

  * Depend on curl to pull in ca-certificates.
  * Specify color coding. Without the format7 color coding specified, the driver will crash.
  * Adds the vendor ID for Startech-brand Firewire interface cards.  This is necessary for accessing the camera(s) connected through the card.
  * Removing check for number of subscribers to publish raw image.
  * Support cameras with high framerate.
  * Contributors: Jeff Schmidt, Konrad Banachowicz, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.12.0-0trusty) trusty; urgency=high

  * Remove dependency on driver_base.
    Define SensorLevels constants directly in the relevant places, rather
    than using the external message for this.
  * Improve list_cameras by outputing more information about it
    The previous list_cameras only output 1 serial number which is
    not very informative. The improved one will print serial, model,
    vendor, sensor, resolution, color and firmware version.
  * Add auto white balance and fix not able to write white balance
    Fix the problem of not being able to set white balance using Property.
    When trying to set white balance on my FL3-U3-13E4C-C, both this ros
    driver and flycap software cannot set the white balance naturally.
    After playing around with the flycap software, I found that I have
    to set the highest bit of register 80C (which is white balance) to 1
    to enable this feature. So I modified the original SetWhiteBalance to
    use WriteRegister directly. And add support for auto white balance.
  * Framerate improvements.
  * Support downloading the SDK for ARM.
  * Downgrade flycaptyre SDK to 2.6.3.4, see:
    https://github.com/ros-drivers/pointgrey_camera_driver/issues/28
  * Contributors: Chao Qu, Julius Gelšvartas, Konrad Banachowicz, L0g1x, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.11.0-0trusty) trusty; urgency=high

  * Change approach to downloading flycapture SDK.
    The logic which fetches and extracts the archive from ptgrey.com
    has been moved to a more reasonable and comprehensible python script.
    This should better pave the way for better future ARM support in this
    driver.
  * Use dh_installudev for udev rules.
  * The raw and mono pixel formats (raw8, raw16, mono8, mono16) can be selected from dynamic reconfigure with every video mode (while before it was hard coded that only mono pixel formats could be used with mode1 and mode2).
  * Binning information removed from camera_info published by the nodelet.
  * Add image_proc as dependency.
  * Removed changes to binning_x and binning_y in camera info messages (otherwise image_proc node would performs a further downsampling).
  * Now the wrapper allows to set raw and mono pixel formats with any mode.
  * Added possibility to set GigE packet delay as launch/conf parameter.
  * Changed 'auto_packet_size' to 'true' as default.
  * Added possibility to change GigE packet size for GigE cameras.
  * For GigE cameras, automatically discover best packet size.
  * Fix launch file syntax error (XML comments neither nest nor continue).
  * Contributors: Aaron Denney, Jeff Schmidt, Matteo Munaro, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Nov 2014 05:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.10.0-0trusty) trusty; urgency=high

  * Added frame rate parameter to launchfiles.
  * Fixing lack of dynamic Bayer format detection/incorrect fixed Bayer format detection in the stereo driver, tested on BB2 hardware
  * Should prevent multiple camera nodes from conflicting.
  * Read camera's resulting trigger configuration.
  * Read camera's resulting strobe configuration.
  * Refactor GPIO pin comparison into separate function.
  * Support outputting strobes.
  * Enable altering trigger polarities.
  * Don't overwrite currently unused fields.
  * Modify firewire rule per issue #6 <https://github.com/ros-drivers/pointgrey_camera_driver/issues/6>
  * Make sure camera properties are supported before enabling them
  * Contributors: Aaron Denney, Jake Bruce, Jeff Schmidt, Mike Purvis, Ryan Gariepy

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.2-0trusty) trusty; urgency=high

  * Added dpkg to build_depend
    During builds, dpkg is explicitly called. This tool is not necessarily on all systems, so we should make sure it is installed during the build.
  * Contributors: Scott K Logan

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 13 Jul 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.1-0trusty) trusty; urgency=high

  * Add note to the list_cameras tool about restarting udev.
  * Add debayering nodelet to example launcher for monocular camera. Tested with a USB Firefly.
  * Automatic lint fixes from astyle.
  * Set ROS message image encoding to the bayer format declared by the camera.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 Mar 2014 04:00:00 -0000

ros-indigo-pointgrey-camera-driver (0.9.0-0trusty) trusty; urgency=high

  * Remove pgrimaging from all USB devices.
  * Rename standalone executables, fix priority of udev rules for USB cameras, parameterize example launchfiles better.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 26 Feb 2014 05:00:00 -0000



=== debian/control ===
Source: ros-indigo-pointgrey-camera-driver
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), curl, dpkg, libcurl4-openssl-dev, libraw1394-dev, libusb-1.0-0-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-exposure-msgs, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-wfov-camera-msgs
Homepage: http://ros.org/wiki/pointgrey_camera_driver
Standards-Version: 3.9.2

Package: ros-indigo-pointgrey-camera-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libraw1394-dev, libusb-1.0-0-dev, ros-indigo-camera-info-manager, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-exposure-msgs, ros-indigo-image-proc, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-wfov-camera-msgs
Description: Point Grey camera driver based on libflycapture2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pointgrey-camera-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
